Subject: ANNOUNCE: libnet-1.0602
From: Graham Barr <[email-masked]>
Date: 20 Nov 1997 00:19:47 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I have just uploaded to PAUSE a new release of the libnet distribution,
it should appear on CPAN mirror sites soon

If you do not want to wait for CPAN to mirror it then it is also
avaliable from

     http://www.connect.net/gbarr/cpan/libnet-1.0602.tar.gz
     
This patch release contains a lot of fixes from 1.06

Please also read the RADME.config file in the distribution.

libnet is a collection of perl modules which encapsulate the usage
of various protocols used in the internet community. These include

  Net::FTP     (RFC959)
  Net::SMTP    (RFC821)
  Net::Netrc
  Net::Cmd
  Net::Domain
  Net::Telnet  (RFC854)
  Net::Time    (RFC867 & RFC868)
  Net::NNTP    (RFC977)
  Net::POP3    (RFC1939)
  Net::SNPP    (RFC1861)
  Net::PH
  Net::Config

To install libnet you ***MUST*** have the following modules installed

  IO::Socket

This release contains the following changes to the previous release

*** Patch 1.0602

Mon Nov 17 1997 <[email-masked]> (Graham Barr)

	Makefile.PL
	- change to code for creating Net::Config
	
	Net::FTP::A
	- Change to write() to ensure whole packet is sent
	- Documentation correction to dir() and ls()
	
	Net::FTP::dataconn
	- Stop abort be called when a write socket is being closed.
	
	Net::NNTP
	- Changes to postok logic
	
	Net::PH
	- fields() now also returns a reference to an ordered array of tag
names
	  if called in an array context.
	
	Net::Cmd
	- Catch added for SIGPIPE while in ->command()

*** Patch 1.0601

Tue Nov  4 1997 <[email-masked]> (Graham Barr)

	Configure
	- Fix croak problem

	Net::FTP, Net::NNTP, Net::PH, Net::POP3, Net::SMTP, Net::SNPP
	- Fix error cause by calling close method when "unexpected EOF:
	  has been encountered.
	
	t/require.t
	- Remove Net::Telnet test

It should be avaliable on mirror sites soon from

	http://www.perl.com/CPAN/authors/Graham_Barr/

Comments are always very welcome.

Copyright 1996 Graham Barr. All rights reserved.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Share and Enjoy!
Graham <[email-masked]>